Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
UIM + IBUS + Gnome-3.6.2: why does UIM no longer work?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
WvR
Tux's lil' helper
Tux's lil' helper


Joined: 03 Mar 2011
Posts: 135
Location: Tsuruga, Japan

PostPosted: Wed Jan 09, 2013 1:48 pm    Post subject: UIM + IBUS + Gnome-3.6.2: why does UIM no longer work? Reply with quote

Hi, I have two laptops with gentoo. On both I use UIM + ANTHY to be able to type Japanese. This has worked to full satisfaction for years, and I have had several other computers with the same setup. Until now, no major problems.

I have updated one laptop to gnome-3.6.2. In that case, basically everything worked straight away. Most notably, UIM and ANTHY still work as expected.

On the other laptop it is a different story. I updated to gnome-3.6.2, UIM + ANTHY has __stopped__ working. Argh! What I have done:

- check versions and USE flags on both computers: same versions, same USE flags
-
Code:
emerge -ev anthy uim
on non-working system - no improvement
-
Code:
emerge -Ca ibus
- now I can use UIM and ANTHY - but the keyboard layout is now US instead of JP106 and I can no longer set it from the gnome settings tool
-
Code:
revdep-rebuild --pretend
- system is already consistent

So it seems that there is some weird interaction between UIM and IBUS: if IBUS is present, then UIM does not work, even if the IBUS deamon is __not__ started. Without IBUS, UIM works, but then the keyboad layout is incorrect and I cannot set it right. Does anybody have any clues? I tried
Code:
emerge ibus-anthy
, but ibus-anthy is v1.27 and does not work with ibus-1.44 :( ibus-anthy-144 is not yet in portage. It is really giving me a headache - especially because one computer has no problems whatsoever, and on the other I have no clear indications as to what is going wrong.
Back to top
View user's profile Send private message
frostschutz
Advocate
Advocate


Joined: 22 Feb 2005
Posts: 2424
Location: Germany

PostPosted: Wed Jan 09, 2013 10:46 pm    Post subject: Reply with quote

I downgraded to ibus 1.4.2 since the newer ebuild does not work properly with anthy.
Back to top
View user's profile Send private message
WvR
Tux's lil' helper
Tux's lil' helper


Joined: 03 Mar 2011
Posts: 135
Location: Tsuruga, Japan

PostPosted: Wed Jan 09, 2013 11:04 pm    Post subject: Reply with quote

I cannot downgrade to ibus-1.4.2 because gnome-settings-daemon-3.6.3-r1 requires ibus-1.4.99. I tried to compile gnome-settings-daemon without the i18n USE flag but that does not improve the situation.

Where to look for errors? I checked ~/.xsession-errors but that file does not mention IBUS or UIM. /var/log/messages contains no relevant info.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5268

PostPosted: Thu Jan 10, 2013 3:08 am    Post subject: Reply with quote

In the related bug, there's a patch - unless the maintainer bumps it already, you need it and a few minor changes in the old ebuild.
  • cosmetic: gnome2_icon_savelist in pkg_preinst, gnome2_icon_cache_update in pkg_post{inst,rm}
  • $(use_enable deprecated pygtk2-anthy) for econf and >=app-i18n/anthy-1.5.0[deprecated=] RDEPEND
  • something like
    Code:
    deprecated? ( >=dev-python/pygtk-2.15.2 )
    !deprecated? ( x11-libs/gtk+:3[introspection] )
    instead of the current dep
  • the patch and eautoreconf, obviously


This is more or less what worked for me, though note what was said in that bug (about broken restart and the essential commit).
Note though, that I've built it for '-deprecated'.
Back to top
View user's profile Send private message
WvR
Tux's lil' helper
Tux's lil' helper


Joined: 03 Mar 2011
Posts: 135
Location: Tsuruga, Japan

PostPosted: Thu Jan 10, 2013 3:21 am    Post subject: Reply with quote

Thanks for the link to the Bug Tracker. But that bug is about ibus-anthy.... My problem is

Install IBUS -> UIM does not work
Uninstall IBUS -> UIM works but keyboard settings cannot be set correctly

And as mentioned, I have two computers, __same__ USE flags and __same__ versions, and on one of them IBUS and UIM coexist, and on the other they don't. IMHO it has nothing to do with ibus-anthy, which is not installed on either machine.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum